Subject: Re: [ILUG] Mailman and multiple domains
From: Paul Jakma <[email-masked]>
To: Fergal Moran <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Aug 2003 16:20:45 +0100 (IST)

On Mon, 11 Aug 2003, Fergal Moran wrote:

> Can the mailman package in debian testing (2.1.2-6), or any other
> branch, be easily used to host multiple domains on the same web server.

yes.

> I want lists.domain-a.com and lists.domain-b.com to be on the same
> server yet completely separate i.e. emails to come from
> 
> [email-masked] and 
> [email-masked] 
> 
> and for all the urls to be different i.e. 
> 
> http://lists.domain-a.com/listinfo and 
> http://lists.domain-b.com/listinfo 
> 
> The important bit is that subscribers to domain-a do not ever see
> domain-b and vice versa.  The urls bit I can sort out but I don't
> know how to ensure that the generated links on the interface pages
> all point to the correct url.

edit mm_cfg.py, add:

	add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
	add_virtualhost('urlhostname','emailhostname')

and so on.. (the 2 names can be the same).

then setup the vhost to serve those hosts and away you go. you need 
to make sure that you create vhost'ed lists from the /web/ frontend 
on the appropriate vhost! (cause afaict the cli new_list doesnt let 
you specify vhost - so you'd have to edit the config).

NB: the listnames are still global across all mailman virtual hosts. 
So if host1 creates list foo, no other host can have that name.

> According to the docs the way to do this is to install two separate
> mailman instances, one for each site

that was the only way to do it with the older mailman software. 2.1 
is easier - if you dont mind the global listname restriction.

> but I can't do this with apt. Should I install 2 instances of the
> source packages, thus losing all the apt niceness, or is there an
> easier way I haven't discovered yet.

copy the apt installed version to somewhere else? then remember to
upgrade the copy whenever you upgrade the original via apt - though
not strictly necessary.

Subject: RE: [ILUG] Mailman and multiple domains
Date: Mon, 11 Aug 2003 16:26:23 +0100
From: "Fergal Moran" <[email-masked]>
To: "Paul Jakma" <[email-masked]>
Cc: [email-masked]

> From: Paul Jakma [mailto:[email-masked]]
>
> edit mm_cfg.py, add:
>
> 	add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
> 	add_virtualhost('urlhostname','emailhostname')
>
> and so on.. (the 2 names can be the same).

Works perfectly - thanks paul

> > but I can't do this with apt. Should I install 2 instances of the
> > source packages, thus losing all the apt niceness, or is there an
> > easier way I haven't discovered yet.
>
> copy the apt installed version to somewhere else? then
> remember to upgrade the copy whenever you upgrade the
> original via apt - though not strictly neccessary.

I was thinking of this - but didn't want to lose the ability to upgrade
with apt - we could be talking a lot of domains here.

Date: Mon, 11 Aug 2003 18:25:09 +0100
From: Colin Whittaker <[email-masked]>
To: [email-masked]
Subject: Re: [ILUG] Mailman and multiple domains

Paul Jakma stated the following on Mon, Aug 11, 2003 at 05:28:52PM +0100 :
> On Mon, 11 Aug 2003, Paul Jakma wrote:
> 
> > to make sure that you create vhost'ed lists from the /web/ frontend
> > on the appropriate vhost! 
> 
> NB: you will still need to manually add the new list to your MTAs 
> aliases file, well at least i cant figure out how to add new lists 
> automatically. (<mailman>/bin/genaliases output is aliases + 
> non-alias,not-commented text).

In exim the following works

mailman_router:
    domains = list domains go here
    driver = accept
    require_files = /usr/local/mailman/lists/$local_part/config.pck
    local_part_suffix_optional
    user = mailman
    group = mail
    local_part_suffix = -bounces : -bounces+* : \
                        -confirm+* : -join : -leave : \
                        -owner : -request : -admin
    transport = mailman_transport